/*
 * DOCUMENT NAME:           index_new.css
 * AUTHOR:                  Robert Ruth
 * DATE CREATED:            01may2023
 * DATE MODIFIED: 
 * DESCRIPTION:             Site home page css  
 * LINKED FROM:      
 * LINKED TO:
 * FORM SUBMISSION TO:
 * FORM SUBMISSION FROM:
 */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: arial, sans-serif;
}
main {
    position: relative;
    width: 100vw;
    height: 100vh;
    overflow: hidden;
}
/* -------------------HEADER ----------------- */
.header {
    display: flex;
    justify-content: space-between;
    background-image: url("https://www.midnitesolar.com/update/images/pages/headerBkgd.jpg");
    width: 100%;
    /*border: solid 2px black;*/
}
.logo {
    padding-left: 40px;
    padding-top: 10px;
}
.midNite {
    padding-top: 20px;
}
.moon {
    padding-right: 40px;
    padding-top: 10px;
}
@media (max-width: 650px){
    .moon, .midNite {
        display: none;
    }
}
/* -------------------NAVIGATION ----------------- */  
.navBar {
    width: 100%;
    height: 35px;
    margin: 0 auto;
    display: flex;
    align-items: center;
    background-color: lightgray;
    font-size: 12px;
    justify-content: center;
    border: solid 1px #000;
    font-weight: bold;
}
.navBar .logo {
    font-size: 1.5rem;
    font-weight: bold;
}
.navBar .links {
    display: flex;
    justify-content: space-between;
    gap: 10px;
}
.toggle_btn {
    display: none;
}
li {
    list-style: none;
}
/*DROPDOWN MENU*/
.dropdown_menu {
    display: none;
    position: absolute;
    right: 2rem;
    top: 140px;
    height: 0;
    width: 200px;
    background: rgba(255,255,255,0.5);
    backdrop-filter: blur(15px);
    border-radius: 10px;
    overflow: hidden;
    transition: height .2s cubic-bezier(0.175, .885, .32, 1.275);
    /*border: solid 2px black;*/
}
.dropdown_menu.open {
    height: 450px;
}
.dropdown_menu li {
    padding: 0.7rem;
    display: flex;
    font-weight: bold;
    /*align-items: center;*/
    justify-content: center;
    /*border: solid 2px black;*/
}
/*RESPONSIVE DESIGN*/
@media (max-width: 1050px){
    .navBar .links {
        display: none;
    }
    .toggle_btn {
        display: flex;
        justify-content: flex-start;
    }
    .dropdown_menu {
        display: flex;
        flex-direction: column;
    }
    .dropdown_menu li a {
        color: #000;
    }
    .dropdown_menu li a:hover {
        color: orange;
    }
}
            
a {
    text-decoration: none;
    font-size: 1rem;
    color: #326088;
}
a:hover {
    color: orange;
}

/* -------------------------- VIDEO ----------------------- */ 
/* -------------------------------------------------------- */
.main video{
    z-index: -1;
    position: absolute;
    left: 0;
    top: 125px;
    width: auto;
    height: auto;
    min-height: 175%;
    min-width: 100%;
    opacity: .5;
    background-size: cover;
    overflow: hidden;
}

/* ----------------- PRODUCT SEARCH ----------------------- */
/* -------------------------------------------------------- */
.search-main {
    display: flex;
    gap: 10px;
    max-width: 100%;
    background-color: rgba(255, 255, 255, .25);
    padding: 05px 20px;
    border-bottom: 1px solid #000;
    font-size: 16px;
    font-weight: bold;
}
.search-item1 {
    display: flex;
    flex: .5 1 0;
    padding: 0 0px;
    width: 100%;
    justify-content: right;
}
.search-item2 {
    display: flex;
    flex: 2 1 0;
    padding: 0 10px;
    width: 100%;
}
.search-item3 {
    display: flex;
    flex: 1 1 0;
    padding: 0 10px;
    width: 100%;
}
@media (max-width: 800px){
    .search-main {
        flex-direction: column;
        padding: 10px 0;
    }
    .search-item1 {
        padding: 0px 10px;
        justify-content: left;
    }
}
input[type=text]{
    width: 100%;
    color: green;
    font-size: 16px;
    background-color: rgba(255, 255, 255, .25);
    opacity: 1;
    background-image: url('newProducts/images/magnifying-glass.png');
    background-position: 5px 3px; 
    background-repeat: no-repeat;
    border-radius: 4px;
    padding: 8px 20px 5px 40px;
    border: 2px solid #959595;
}
.form-submit-button {
    background: #B9DFFF;
    color: #000;
    border: 1px solid #000;
    border-radius: 10px;
    box-shadow: 3px 3px 3px gray;
    text-shadow: none;
    padding: 3px 40px;
    font-size: 16px;
    background-color: #aec6e6;
}

.form-submit-button:hover {
    background: #016ABC;
    color: #fff;
    border: 1px solid #eee;
    border-radius: 10px;
    box-shadow: 5px 5px 5px #eee;
    text-shadow: none;
}
            
/* ------------------------ SPLASH ------------------------ */ 
/* -------------------------------------------------------- */
.myFlash {
    display:flex; 
    margin: 10px 60px; 
    justify-content: space-between;
    /*border: solid 1px black;*/
}
.textContainer {
    /*display: flex;*/
    flex: .3 0 50%;
}
.imageContainer {
    display: flex;
    text-align: center; 
    font-size: 11px; 
    font-weight: bold;
}
.section {
    display: inline-block;
    margin-left: 10%;
}

@media (max-width: 1000px) {
    .myFlash {
        flex-direction: column;
        padding: 0px;
        margin-left: 10px;
    }
    .textContainer {
        order: 2;
        padding: 35px;
    }
    .imageContainer {
        flex: 1fr;
        order: 1;
        width: 100%;
        justify-content: center;
        padding-left: 20px;
    }
    .myPhoto {
        max-width: 100%;
        height: auto;
    }
    .main {
        margin: 0px;
        padding: 0px;
    }
}
            
            /* ------------------------ PRODUCTS ---------------------- */ 
            /* -------------------------------------------------------- */
            .products {
                background-color: #EEE;
                display: grid;
                grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
                gap: 45px;
                margin-bottom: 0;
                padding: 30px 10px 10px 10px;
                border-bottom: solid 6px lightgray;
            }
            .product-item {
                margin: 0px 40px 0 40px;
                /*border: solid 2px black;*/
            }
            .product-item a {
                text-decoration: none;
            }
            .products a:hover {
                color: lightgray;
            }
            .button-item {
                margin: 20px 0;
            }
            .button {
                background-color: #3949ab;
                color: #FFF;
                padding: 10px 20px;
                border-radius: 8px;
            }

            /* --------------------- LEGACY CONTAINER ----------------- */
            /* -------------------------------------------------------- */
            .legacy_container {
                display: flex;
                background-color: white;
            }
            .legacy_container img {
                max-width: 100%;
                height: auto;
            }
/*            .left_column {
                background-color: #dff5f1;
                flex: 1 1 0;
                padding: 0 10px;
                border: solid 2px #000;
            }*/
            .middle_column {
                display: flex;
                flex: 3 1 0;
                padding: 20px 10px 0px 40px;
            }
            .middle-items {
                border: solid 3px lightgray; 
                border-radius: 20px; 
                padding: 10px; 
                margin-bottom: 10px;
            }
            .right_column {
                background-color: #e6e4e4;
                flex: 1 1 0;
                padding: 0 10px;
                border: solid 1px #e6e4e4;
                border-radius: 10px;
                margin: 20px 30px 10px 0;
            }
            .legacy_container a {
                color: #326088;
            }
            .legacy_container a:hover {
                color: gray;
            }
            @media (max-width: 800px) {
                .legacy_container {
                    flex-direction: column;
                }
                .left_column {
                    background-color: #dff5f1;
                    order: 3;
                }
                .middle_column {
                    order: 1;
                    margin-bottom: 30px;
                }
                .right_column {
                    background-color: #e6e4e4;
                    order: 2;
                    padding-top: 10px;
                    margin-left: 40px;
                }
            }
            
            /* ------------------------- FOOTER ----------------------- */
            /* -------------------------------------------------------- */
            .footer {
                background-color: #fff;
                width: 100%;
                text-align: center;
                padding: 10px 0 20px 0;
                color: #000;
                font-size: 14px;
            }